Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser:

## Public Member Functions
| __construct ()
| isDynamicSetting ($setting)
| In addition to the parent's test, verifies the variables with a regexp. More...
| containsDynamicSettings ($string)
| Tests if $string contains dynamic settings. More...
| parseComplexSetting ($string)
| Parses dynamic settings. More...
Public Member Functions inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\DynamicSettingParser
| parseDynamicSetting ($setting)
| Parses $setting and returns a hash of corresponding arguments. More...

## Protected Member Functions
| matchDynamicSettings ($string)
| Matches all dynamic settings in $string. More...

## Private Attributes
| $dynamicSettingRegex

## Additional Inherited Members
Public Attributes inherited from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\DynamicSettingParserInterface
const | BOUNDARY_DELIMITER = '$'
const | INNER_DELIMITER = ';'

## Detailed Description

Definition at line 11 of file ComplexSettingParser.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser::__construct | ( |  | ) |

Definition at line 20 of file ComplexSettingParser.php.

## Member Function Documentation

## ◆ containsDynamicSettings()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser::containsDynamicSettings | ( |  | $string | ) |

Tests if $string contains dynamic settings.

Parameters

  string | $string |

Returns
  bool

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParserInterface.

Definition at line 46 of file ComplexSettingParser.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser\matchDynamicSettings().

## ◆ isDynamicSetting()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser::isDynamicSetting | ( |  | $setting | ) |

In addition to the parent's test, verifies the variables with a regexp.

{Checks if $setting is considered to be dynamic.i.e. if $setting follows the expected format.

Parameters

  string | $setting |

Returns
  bool

}

Reimplemented from eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\SiteAccessAware\DynamicSettingParser.

Definition at line 37 of file ComplexSettingParser.php.

## ◆ matchDynamicSettings()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser::matchDynamicSettings | ( |  | $string | ) |
| protected

Matches all dynamic settings in $string.

Example: '/tmp/$var_dir/$storage_dir' => ['$var_dir$', '$storage_dir']

Parameters

  string | $string |

Returns
  array

Definition at line 60 of file ComplexSettingParser.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser\containsDynamicSettings(), and eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser\parseComplexSetting().

## ◆ parseComplexSetting()

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser::parseComplexSetting | ( |  | $string | ) |

Parses dynamic settings.

Parameters

  string | $string |

Returns
  array key: original string, value: dynamic settings

Implements eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParserInterface.

Definition at line 67 of file ComplexSettingParser.php.

References eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser\matchDynamicSettings().

## Member Data Documentation

## ◆ $dynamicSettingRegex

eZ\Bundle\EzPublishCoreBundle\DependencyInjection\Configuration\ComplexSettings\ComplexSettingParser::$dynamicSettingRegex
| private

Definition at line 18 of file ComplexSettingParser.php.

The documentation for this class was generated from the following file:

- ComplexSettingParser.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.